{
    name: "Masterpiece Teacup",
    spritenum: 757,
    fling: {
        basePower: 80
    },
    onModifyMove(move, pokemon) {
        if (pokemon.baseSpecies.num === 1013 && move.id === 'matchagotcha') {
            move.drain = [1, 1];
            pokemon.useItem();
        }
    },
    num: 2404,
    gen: 9
}
